Subject: Re: [regression] e1000e broke e1000 (was: Re: [ANNOUNCE] e1000 to e1000e migration of PCI Express devices)

From: Matthew Wilcox <[email-masked]>
Date: Tue, 8 Apr 2008 13:32:45 -0600

On Tue, Apr 08, 2008 at 08:39:21PM +0200, Ingo Molnar wrote:
> so the pure presence of the e1000e module breaks the e1000 driver. That 
> is a regression and a bug that should be fixed.

I think you've found the wrong problem ... it looks deliberate to me that
enabling e1000e disables e1000 from claiming the PCI IDs (see the PCIE()
macro right before the e1000_pci_tbl in drivers/net/e1000/e1000_main.c).

The question is why e1000e isn't claiming the device ...

-- 
Intel are signing my paycheques ... these opinions are still mine
"Bill, look, we understand that you're interested in selling us this
operating system, but compare it to ours.  We can't possibly take such
a retrograde step."